#ifndef _BACKLIGHT_H_
#define _BACKLIGHT_H_



#ifdef Platform_16Bit
    #define Light_uint8_t  unsigned char
    #define Light_uint16_t unsigned int
    #define Light_uint32_t unsigned long

#else
    #define Light_uint8_t  unsigned char
    #define Light_uint16_t unsigned short
    #define Light_uint32_t unsigned int
    #define Light_uint64_t unsigned long long

#endif


#ifndef Backlight_NULL
    #define Backlight_NULL ( void * )0u
#endif /* NULL */

extern Light_uint16_t LightR_Status ;
void Backlight_KL30_Wakeup_Init(void);
void BackLight_Process(void);
Light_uint8_t Backlight_SetPwmLevel(void);
extern void BackLight_Service(void);



#endif
